import Vue from 'vue'
import App from './App'
import http from './common/http.js'
import verify from './common/graceChecker.js' //数据验证
import util from './common/util.js' //工具类

Vue.config.productionTip = false

Vue.prototype.$http = http;
Vue.prototype.$verify = verify;
Vue.prototype.$util = util;

import uView from "uview-ui";
Vue.use(uView);

//基本信息
Vue.prototype.$getInfo = () => {
	return {
		phone: '0771-5828905',
	}
}


App.mpType = 'app'

Vue.prototype.$getUser = function() {
	return uni.getStorageSync('user');
}
Vue.prototype.$hasLogin = () => {
	if (uni.getStorageSync('user') === '' || uni.getStorageSync('user') === null) {
		return false
	} else {
		return true
	}
}

const app = new Vue({
    ...App
})
app.$mount()
